<div class="ml-12 absolute w-100 left-0 mt-1 flex items-center p-2">
  <div class="w-1/3 flex flex-col bg-white shadow-md rounded-lg p-4">
    <!-- Comment out the search and create a new project link -->
    <!-- Uncomment this after implemented the project management website, and search project API -->
    <!-- <div class="flex flex-row justify-between mb-4">
      <div class="relative flex items-center">
        <div class="absolute inset-y-0 left-0 pl-3 flex items-center pointer-events-none">
          <img src="assets/icons/search.svg" height="20" width="20">
        </div>
        <input
          id="search"
          class="form-input block w-full pl-10 pr-3 py-2 border border-transparent rounded-md"
          placeholder="Search"
        />
      </div>
      <div class="flex flex-row justify-end items-center py-2 cursor-pointer">
        <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4 fill-current text-blue-500 mr-2" fill="none" viewBox="0 0 24 24" stroke="currentColor">
          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 6v6m0 0v6m0-6h6m-6 0H6" />
        </svg>
        <p class="text-lg text-blue-500">Create a new project</p>
      </div>
    </div> -->
    <!-- Uncomment this after implemented the project management website -->
    <!-- <div class="flex flex-col pb-2 border-b-2"> -->
    <div class="flex flex-col -mx-6">
      <div class="overflow-scroll" style="max-height: 300px;">
        <div *ngFor="let project of projects" (click)="selectProject(project.id)">
          <div class="mx-6 py-3 flex justify-between" [ngClass]="projectListClasses(project)">
            <p class="text-xl">{{ project.name }}</p>
            <!-- <img *ngIf="project.id == selectedProjectId" src="assets/icons/check.svg" height="20" width="20"> -->
            <svg *ngIf="project.id == selectedProjectId" height="20" width="20" xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7" />
              </svg>
        </div>
        </div>
      </div>
    </div>
    <!-- Uncomment this after implemented the project management website -->
    <!-- <div class="flex justify-center cursor-pointer py-3">
      <p class="text-lg text-blue-500">Go to all projects</p>
    </div> -->
  </div>
</div>